API Reference

Product Import

3 endpoints· Auth: JWT or API Key
get/api/v1/console/catalog/imports/{batchId} JWT API Key

Get batchId

Path parameters

batchIdrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/catalog/imports/{batchId}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/catalog/imports/{batchId}/commit JWT API Key

Create commit

Path parameters

batchIdrequired
string (uuid)
—

Request body

application/json
{
  "format": "string",
  "content": "string"
}
format
string
—
content
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/catalog/imports/{batchId}/commit" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "format": "string",
  "content": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/catalog/imports/products JWT API Key

Create products

Request body

application/json
{
  "format": "string",
  "content": "string"
}
format
string
—
content
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/catalog/imports/products" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "format": "string",
  "content": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu